#ifndef __DBG_H__
#define __DBG_H__

#if 0	// confidential
#define DEBUG_TO_SCREEN
void DbgSaveToFile();
#endif

//#define DEBUG
//#define NO_DEBUG

void Puts( char *str );

void _Printf(  char *format, ... );
void _PrintfN(  char *format, ... );
void	_DumpMemory(  const void *mem, int size, char *name );
void _PrintfMod(  int mod, char *format, ... );
void	_DumpMemoryMod(  int mod, const void *mem, int size, char *format, ... );


#if defined(DEBUG) && !defined(NO_DEBUG)

#define Printf		_Printf
#define PrintfN	_PrintfN
#define PrintfMod	_PrintfMod
#define DumpMemory		_DumpMemory
#define DumpMemoryMod		_DumpMemoryMod

#else

#define Printf(...)
#define PrintfN(...)
#define PrintfMod(...)
#define DumpMemory(...)
#define DumpMemoryMod(...)

#endif


#endif	// __DBG_H__

